Bug 1031525 - inconsistent locations of upgrade.img
inconsistent locations of upgrade.img
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: lorax (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Brian Lane
Release Test Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-18 03:12 EST by Daniel Mach
Modified: 2014-01-15 14:47 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-15 14:47:03 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Mach 2013-11-18 03:12:40 EST
Current image locations:

ppc64:
ppc/ppc64/upgrade.img

s390x:
images/upgrade.img

x86_64:
isolinux/upgrade.img
images/pxeboot/upgrade.img


Wouldn't be better to place them under a different location?
images-$arch for example.
Comment 1 Brian Lane 2013-11-18 10:26:57 EST
upgrade.img isn't product.img, it is used by redhat-update so it's up to Will.

But really, at this point we shouldn't be moving locations unless something is broken.
Comment 2 Daniel Mach 2013-11-18 13:57:29 EST
(In reply to Brian C. Lane from comment #1)
> But really, at this point we shouldn't be moving locations unless something
> is broken.

Agreed.
That's why I proposed this for RC and we shouldn't touch it before Beta.
Comment 3 Will Woods 2013-11-18 17:16:19 EST
Yeah, the inconsistent layout is goofy and I'd like to make every arch use the same locations for vmlinuz/initrd.img/upgrade.img.

The .treeinfo file is supposed to be the canonical reference for the locations of these images, so we should be able to change the paths without breaking anything.. so long as it uses .treeinfo, anyway.

There used to be other things that use those paths (the forth stuff in the ppc hybrid images had it hardcoded IIRC), but I'm not aware of others right now.

If you want to work toward having kernel/initrd/upgrade.img in a consistent location for all arches, I'd definitely support that. So come up with a plan of action and let's give it a shot!
Comment 4 Daniel Mach 2013-11-19 03:14:23 EST
sorry, wrong $SUBJ
I really meant upgrade images.
Comment 5 David Cantrell 2013-12-12 15:23:46 EST
Time to decide if we want to do this for 7.0 GA, postpone, or close.  Given the pm_score and current date, I am voting for closing this out entirely.
Comment 6 Will Woods 2013-12-12 16:29:58 EST
Well. I'd *like* to have consistent layout, but I'm not sure if it's worth it.

Here's the balance, as I see it:

Pro:
  * Consistency / predictability between arches
  * Simpler lorax templates

Con:
  * More migration effort for people not using .treeinfo
  * Some naming quirks might actually have technical reasons behind them, which
    we would need to fix (e.g. why is the kernel named "kernel.img" on s390x?)

If do we decide it's worth the effort, I'd suggest something like:

  images/vmlinuz
  images/vmlinuz-${flavor}
  images/initrd.img
  images/initrd-${flavor}.img
  images/upgrade.img
  images/upgrade-${flavor}.img

Or:

  images/generic/vmlinuz
  images/generic/initrd.img
  images/generic/upgrade.img
  images/${flavor}/vmlinuz
  images/${flavor}/initrd.img
  images/${flavor}/upgrade.img

The latter seems cleaner to me. But the question remains: is it worth the effort?
Comment 7 Brian Lane 2013-12-12 16:40:34 EST
I think we should leave things as-is for RHEL7 and first do this in Fedora.
Comment 8 David Cantrell 2014-01-15 14:30:11 EST
Agreed, setting devel_ack- per comment #7.
Comment 9 RHEL Product and Program Management 2014-01-15 14:47:03 EST
Development Management has reviewed and declined this request.
You may appeal this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.